--TEST--
builtins #34 - #each
--DESCRIPTION--
#each - each object with @last
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#each goodbyes}}{{#if @last}}{{text}}! {{/if}}{{/each}}cruel {{world}}!';
$context = array(
        'goodbyes' => array(
            'foo' => array(
                'text' => 'goodbye',
            ),
            'bar' => array(
                'text' => 'Goodbye',
            ),
        ),
        'world' => 'world',
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Goodbye! cruel world!