--TEST--
helpers #28 - helpers hash
--DESCRIPTION--
helpers hash - the helper hash should augment the global hash
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{test_helper}} {{#if cruel}}Goodbye {{cruel}} {{world}}!{{/if}}';
$context = array(
        'cruel' => 'cruel',
    );
$helpers = new DefaultRegistry(array(
        'world' => function() { return 'world!'; }/*function () { return 'world!'; }*/,
        'test_helper' => function() { return 'found it!'; }/*function() { return 'found it!'; }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
found it! Goodbye cruel world!!