--TEST--
helpers #52 - knownHelpers
--DESCRIPTION--
knownHelpers - Builtin helpers available in knownHelpers only mode
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#unless foo}}bar{{/unless}}';
$context = array();
$options = array(
        'knownHelpersOnly' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
bar