--TEST--
helpers #46 - hash
--DESCRIPTION--
hash - block helpers can take an optional hash with booleans
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#goodbye cruel="CRUEL" print=false}}world{{/goodbye}}';
$context = array();
$helpers = new DefaultRegistry(array(
        'goodbye' => function($options) {
    if ($options['hash']['print'] === true) {
        return "GOODBYE {$options['hash']['cruel']} " . $options->fn($options->scope) . @$options['hash']['world'];
    } elseif ($options['hash']['print'] === false) {
        return "NOT PRINTING";
    } else {
        return "THIS SHOULD NOT HAPPEN";
    }
}/*function (options) {
          if (options.hash.print === true) {
            return 'GOODBYE ' + options.hash.cruel + ' ' + options.fn(this);
          } else if (options.hash.print === false) {
            return 'NOT PRINTING';
          } else {
            return 'THIS SHOULD NOT HAPPEN';
          }
        }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
NOT PRINTING