--TEST--
subexpressions #17 - subexpressions
--DESCRIPTION--
subexpressions - subexpression functions on the context
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{foo (bar)}}!';
$context = array(
        'bar' => function() {
        return "LOL";
      }/*function () {
        return 'LOL';
      }*/,
    );
$helpers = new DefaultRegistry(array(
        'foo' => function($val) {
        return $val . $val;
      }/*function (val) {
        return val + val;
      }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
LOLLOL!